%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif
Name:                ocaml-ocamlbuild
Version:             0.14.2
Release:             1
Summary:             Build tool for OCaml libraries and programs
License:             LGPLv2+ with exceptions
URL:                 https://github.com/ocaml/ocamlbuild
Source0:             https://github.com/ocaml/ocamlbuild/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:       ocaml >= 4.04.0
%description
OCamlbuild is a build tool for building OCaml libraries and programs.

%package devel
Summary:             Development files for %{name}
Requires:            %{name}%{?_isa} = %{version}-%{release}
%description devel
This package contains development files for %{name}.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name}%{?_isa} = %{version}-%{release}
%description doc
This package contains the manual for %{name}.

%prep
%autosetup -n ocamlbuild-%{version} -p1

%build
make configure \
  OCAMLBUILD_PREFIX=%{_prefix} \
  OCAMLBUILD_BINDIR=%{_bindir} \
  OCAMLBUILD_LIBDIR=%{_libdir}/ocaml \
  OCAMLBUILD_MANDIR=%{_mandir} \
%ifarch %{ocaml_native_compiler}
  OCAML_NATIVE=true
  OCAML_NATIVE_TOOLS=true
%else
  OCAML_NATIVE=false
  OCAML_NATIVE_TOOLS=false
%endif
make \
%ifarch %{ocaml_native_compiler}
     OCAMLC="ocamlc.opt -g" \
     OCAMLOPT="ocamlopt.opt -g"
%else
     OCAMLC="ocamlc -g" \
     OCAMLOPT="ocamlopt -g"
%endif

%install
make install \
     DESTDIR=$RPM_BUILD_ROOT \
     CHECK_IF_PREINSTALLED=false
pushd $RPM_BUILD_ROOT/usr/bin
%ifarch %{ocaml_native_compiler}
ln -sf ocamlbuild.native ocamlbuild
%else
ln -sf ocamlbuild.byte ocamlbuild
%endif
popd
rm $RPM_BUILD_ROOT%{_libdir}/ocaml/ocamlbuild/META

%files
%doc Changes Readme.md VERSION
%license LICENSE
%{_bindir}/ocamlbuild
%{_bindir}/ocamlbuild.byte
%ifarch %{ocaml_native_compiler}
%{_bindir}/ocamlbuild.native
%endif
%{_mandir}/man1/ocamlbuild.1*
%{_libdir}/ocaml/ocamlbuild
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/ocamlbuild/*.a
%exclude %{_libdir}/ocaml/ocamlbuild/*.o
%exclude %{_libdir}/ocaml/ocamlbuild/*.cmx
%exclude %{_libdir}/ocaml/ocamlbuild/*.cmxa
%endif
%exclude %{_libdir}/ocaml/ocamlbuild/*.mli

%files devel
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/ocamlbuild/*.a
%{_libdir}/ocaml/ocamlbuild/*.o
%{_libdir}/ocaml/ocamlbuild/*.cmx
%{_libdir}/ocaml/ocamlbuild/*.cmxa
%endif
%{_libdir}/ocaml/ocamlbuild/*.mli

%files doc
%license LICENSE
%doc manual/*

%changelog
* Tue Jul 25 2023 wangkai <13474090681@163.com> - 0.14.2-1
- Update to 0.14.2

* Mon May 23 2022 yaoxin <yaoxin30@h-partners.com> - 0.14.0-1
- Update to 0.14.0

* Thu Jan 20 2022 xu_ping <xuping33@huawei.com> - 0.12.0-2
- fix build error due to `Format.dprintf` does not shadow `Log.dprintf`

* Fri Oct 9 2020 maminjie <maminjie1@huawei.com> - 0.12.0-1
- package init
